Vulnerability found: 11 March 2005 Severity level: Low Credits: Gemma Hughes of ProCheckUp Ltd Description: Mambo CMS vulnerable to a remote file downloading attack when installed on a server w ...